<?xml version="1.0" encoding="UTF-8"?>

<!--  $Id: MCTXReport.xsd,v 1.3 2003/07/26 13:50:36 visigoth_6 Exp $  -->
<!-- 
(c) visigoth <visigoth@securitycentric.com> 
This document is distrubuted under a BSD license.  Do
what you like with it, but keep the copyright.

Send me a bottle of wine:
3001 Park Center Drive #1613
Alexandria, VA, 22302
-->

<!-- Schema Notes:

-->

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

  <xsd:element name="scan_report" type="MCTXReport"/>

  <xsd:complexType name="MCTXReport">
    <xsd:sequence>
      <!--  -->
      <xsd:element name="save_date" type="xsd:date"/>
      <xsd:element name="global_option" type="MCTXOption" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="target" type="MCTXTarget" minOccurs="0" maxOccurs="unbounded"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXTarget">
    <xsd:sequence>
      <xsd:element name="host" type="xsd:string"/>
      <xsd:element name="probe_report" type="MCTXProbeReport" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="probe_exception" type="MCTXProbeException" minOccurs="0" maxOccurs="unbounded"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXProbeReport">
    <xsd:sequence>
      <xsd:element name="probe_id" type="xsd:int"/>
      <xsd:element name="probe_name" type="xsd:string"/>
      <xsd:element name="severity" type="xsd:int"/>
      <xsd:element name="probe_version" type="xsd:string"/>
      <xsd:element name="probe_start" type="xsd:long"/>
      <xsd:element name="probe_stop" type="xsd:long"/>
      <xsd:element name="probe_option" type="MCTXOption" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:element name="report" type="xsd:string"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXProbeException">
    <xsd:sequence>
      <xsd:element name="probe_name" type="xsd:string"/>
      <xsd:element name="exception" type="xsd:string"/>
      <xsd:element name="probe_option" type="MCTXOption" minOccurs="0" maxOccurs="unbounded"/>
    </xsd:sequence>
  </xsd:complexType>

  <xsd:complexType name="MCTXOption">
    <xsd:attribute name="name"/>
    <xsd:attribute name="value"/>
  </xsd:complexType>

</xsd:schema>
